Leads
Update a lead
PATCH
/
leads
/
{id}
Update a lead
curl --request PATCH \
--url https://api.outreign.io/rest-api/leads/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"contact_name": "<string>",
"contact_email": "jsmith@example.com",
"company_name": "<string>",
"job_title": "<string>",
"industry": "<string>",
"country": "<string>",
"linkedin_url": "<string>",
"lead_status": "<string>",
"pipeline_stage": "<string>",
"icp_score": 123
}
'import requests
url = "https://api.outreign.io/rest-api/leads/{id}"
payload = {
"contact_name": "<string>",
"contact_email": "jsmith@example.com",
"company_name": "<string>",
"job_title": "<string>",
"industry": "<string>",
"country": "<string>",
"linkedin_url": "<string>",
"lead_status": "<string>",
"pipeline_stage": "<string>",
"icp_score": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_name: '<string>',
contact_email: 'jsmith@example.com',
company_name: '<string>',
job_title: '<string>',
industry: '<string>',
country: '<string>',
linkedin_url: '<string>',
lead_status: '<string>',
pipeline_stage: '<string>',
icp_score: 123
})
};
fetch('https://api.outreign.io/rest-api/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outreign.io/rest-api/leads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'contact_name' => '<string>',
'contact_email' => 'jsmith@example.com',
'company_name' => '<string>',
'job_title' => '<string>',
'industry' => '<string>',
'country' => '<string>',
'linkedin_url' => '<string>',
'lead_status' => '<string>',
'pipeline_stage' => '<string>',
'icp_score' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.outreign.io/rest-api/leads/{id}"
payload := strings.NewReader("{\n \"contact_name\": \"<string>\",\n \"contact_email\": \"jsmith@example.com\",\n \"company_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"industry\": \"<string>\",\n \"country\": \"<string>\",\n \"linkedin_url\": \"<string>\",\n \"lead_status\": \"<string>\",\n \"pipeline_stage\": \"<string>\",\n \"icp_score\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.outreign.io/rest-api/leads/{id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"contact_name\": \"<string>\",\n \"contact_email\": \"jsmith@example.com\",\n \"company_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"industry\": \"<string>\",\n \"country\": \"<string>\",\n \"linkedin_url\": \"<string>\",\n \"lead_status\": \"<string>\",\n \"pipeline_stage\": \"<string>\",\n \"icp_score\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outreign.io/rest-api/leads/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact_name\": \"<string>\",\n \"contact_email\": \"jsmith@example.com\",\n \"company_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"industry\": \"<string>\",\n \"country\": \"<string>\",\n \"linkedin_url\": \"<string>\",\n \"lead_status\": \"<string>\",\n \"pipeline_stage\": \"<string>\",\n \"icp_score\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"contact_email": "jsmith@example.com",
"company_name": "<string>",
"job_title": "<string>",
"industry": "<string>",
"country": "<string>",
"linkedin_url": "<string>",
"lead_status": "<string>",
"pipeline_stage": "<string>",
"icp_score": 123,
"created_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Create keys in OutReign → Settings → API Keys.
Path Parameters
Body
application/json
Response
200 - application/json
Updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a lead
curl --request PATCH \
--url https://api.outreign.io/rest-api/leads/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"contact_name": "<string>",
"contact_email": "jsmith@example.com",
"company_name": "<string>",
"job_title": "<string>",
"industry": "<string>",
"country": "<string>",
"linkedin_url": "<string>",
"lead_status": "<string>",
"pipeline_stage": "<string>",
"icp_score": 123
}
'import requests
url = "https://api.outreign.io/rest-api/leads/{id}"
payload = {
"contact_name": "<string>",
"contact_email": "jsmith@example.com",
"company_name": "<string>",
"job_title": "<string>",
"industry": "<string>",
"country": "<string>",
"linkedin_url": "<string>",
"lead_status": "<string>",
"pipeline_stage": "<string>",
"icp_score": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_name: '<string>',
contact_email: 'jsmith@example.com',
company_name: '<string>',
job_title: '<string>',
industry: '<string>',
country: '<string>',
linkedin_url: '<string>',
lead_status: '<string>',
pipeline_stage: '<string>',
icp_score: 123
})
};
fetch('https://api.outreign.io/rest-api/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outreign.io/rest-api/leads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'contact_name' => '<string>',
'contact_email' => 'jsmith@example.com',
'company_name' => '<string>',
'job_title' => '<string>',
'industry' => '<string>',
'country' => '<string>',
'linkedin_url' => '<string>',
'lead_status' => '<string>',
'pipeline_stage' => '<string>',
'icp_score' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.outreign.io/rest-api/leads/{id}"
payload := strings.NewReader("{\n \"contact_name\": \"<string>\",\n \"contact_email\": \"jsmith@example.com\",\n \"company_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"industry\": \"<string>\",\n \"country\": \"<string>\",\n \"linkedin_url\": \"<string>\",\n \"lead_status\": \"<string>\",\n \"pipeline_stage\": \"<string>\",\n \"icp_score\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.outreign.io/rest-api/leads/{id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"contact_name\": \"<string>\",\n \"contact_email\": \"jsmith@example.com\",\n \"company_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"industry\": \"<string>\",\n \"country\": \"<string>\",\n \"linkedin_url\": \"<string>\",\n \"lead_status\": \"<string>\",\n \"pipeline_stage\": \"<string>\",\n \"icp_score\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outreign.io/rest-api/leads/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact_name\": \"<string>\",\n \"contact_email\": \"jsmith@example.com\",\n \"company_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"industry\": \"<string>\",\n \"country\": \"<string>\",\n \"linkedin_url\": \"<string>\",\n \"lead_status\": \"<string>\",\n \"pipeline_stage\": \"<string>\",\n \"icp_score\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"contact_email": "jsmith@example.com",
"company_name": "<string>",
"job_title": "<string>",
"industry": "<string>",
"country": "<string>",
"linkedin_url": "<string>",
"lead_status": "<string>",
"pipeline_stage": "<string>",
"icp_score": 123,
"created_at": "2023-11-07T05:31:56Z"
}
}